package thyyxxk.webserver.service.lc.project;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import thyyxxk.webserver.dao.his.lc.project.LcProjectTypeDao;
import thyyxxk.webserver.entity.lc.project.LcProjectType;

import java.util.List;

@Slf4j
@Service
public class LcProjectTypeService {

    @Autowired
    private LcProjectTypeDao dao;

    public LcProjectType getLcProjectTypeById(String id) {
        return dao.selectById(id);
    }

    public List<LcProjectType> getAllLcProjectTypes() {
        return dao.selectList(new QueryWrapper<>());
    }
}
